%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

%global grilo_version 0.3.15
%global goa_version 3.17.91

Summary:        Plugins for the Grilo framework
Name:           grilo-plugins
Version:        0.3.15
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Grilo
Source0:        https://download.gnome.org/sources/grilo-plugins/%{release_version}/grilo-plugins-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  avahi-gobject-devel grilo-devel >= %{grilo_version}
BuildRequires:  libsoup-devel gnome-online-accounts-devel >= %{goa_version}
BuildRequires:  gperf itstool git gom-devel glib2-devel
BuildRequires:  libgcrypt-devel libarchive-devel libmediaart-devel
BuildRequires:  gettext lua-devel json-glib-devel libxml2-devel
BuildRequires:  sqlite-devel libgdata-devel
BuildRequires:  totem-pl-parser-devel tracker3-devel rest-devel
Requires:       gnome-online-accounts >= %{goa_version}
Requires:       grilo >= %{grilo_version}

%description
Grilo is a framework that provides access to multimedia content sources through a pluggable system.
This package provides plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Euronews
- Filesystem
- Flickr
- Freebox
- Gravatar
- iTunes Music Sharing
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Pocket
- Podcasts
- Radio France
- Shoutcast
- The Guardian Videos
- Tracker
- Youtube

%prep
%autosetup -p1 -S git

%build
%meson \
    -Denable-shoutcast=no \
    -Denable-bookmarks=yes \
    -Denable-dleyna=no \
    -Denable-dmap=no \
    -Denable-flickr=no \
    -Denable-filesystem=yes \
    -Denable-freebox=yes \
    -Denable-gravatar=yes \
    -Denable-lua-factory=yes \
    -Denable-metadata-store=yes \
    -Denable-podcasts=no \
    -Denable-tmdb=yes \
    -Denable-youtube=yes \
    -Denable-tracker=no \
    -Denable-tracker3=yes

%meson_build

%install
%meson_install

%find_lang grilo-plugins --with-gnome

%files -f grilo-plugins.lang
%license COPYING
%doc AUTHORS NEWS README.md
%doc %{_datadir}/help/*/examples/example-tmdb.c
%{_libdir}/pkgconfig/*.pc
%{_libdir}/grilo-%{release_version}/*.so*
%{_datadir}/grilo-plugins/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.15-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 13 2022 Wang Guodong <gordonwwang@tencent.com> - 0.3.15-1
- package init.
